# Class: AdminProductTypesResource

## Hierarchy

- `default`

  ↳ **`AdminProductTypesResource`**

## Methods

### list

▸ **list**(`query?`): [`ResponsePromise`](../modules/internal.md#responsepromise)<[`AdminProductTypesListRes`](../modules/internal-17.md#adminproducttypeslistres)\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `query?` | [`AdminGetProductTypesParams`](internal-17.AdminGetProductTypesParams.md) |

#### Returns

[`ResponsePromise`](../modules/internal.md#responsepromise)<[`AdminProductTypesListRes`](../modules/internal-17.md#adminproducttypeslistres)\>

#### Defined in

[medusa-js/src/resources/admin/product-types.ts:10](https://github.com/medusajs/medusa/blob/53e34d33d/packages/medusa-js/src/resources/admin/product-types.ts#L10)
